# Changelog
Le format du fichier est basé sur [Tenez un ChangeLog](http://keepachangelog.com/fr/1.0.0/).

## [Non Distribué]

## [14.0.53] - 19-12-2024
- Correction requete SQL des vues pour support mariadb v10.3.x
- Ajout de l'affichage d'un lien vers la page de statut des infrastructures Powens sur la page des écritures téléchargées (avec paramétrage dans le module)

## [14.0.52] - 11-12-2024
- Correction requete SQL des vues avec union

## [14.0.51] - 04-12-2024
- Correction compatibilité dolibarr en dessous de la V17 (config) et V12 (requete SQL des vues)
- Corrections support PHP8.2

## [14.0.50] - 20-11-2024
- Ajout du rapprochement automatique des ecritures bancaires dolibarr avec recherche de la ref de la facture client/fournisseur dans le libellé ou le commentaire de l'ecriture téléchargée

## [14.0.49] - 16-10-2024
- Ajout test pour les fonctions communes opendsi pour ne pas être redeclaré une deuxieme fois

## [14.0.48] - 11-10-2024
- Modification du libellé preconstruit de la banque creer lors de la synchro des comptes bancaires dans la configuration (ref compte + libelle compte) pour un libellé unique (30 caractères)

## [14.0.47] - 04-10-2024
- Correction compatibilité v17- (dolDecrypt())

## [14.0.46] - 04-10-2024
- Correction de la liste des banques proposés pour la copier des écritures téléchargées (cas des banques ajouté manuellement)

## [14.0.45] - 03-10-2024
- Prise en compte de l'encodage des valeurs des constantes

## [14.0.44] - 03-10-2024
- Ajout de la réf de la banque en plus du libellé dans la liste des banques disponibles pour copier les lignes téléchargées

## [14.0.43] - 23-09-2024
- Correction des vues avec le module salaire activé pour les versions de dolibarr inférieur à 17

## [14.0.42] - 23-09-2024
- Ajout d'une action en masse pour copier des écritures téléchargées vers une autre banque connectée (avec un droit)

## [14.0.41] - 16-09-2024
- Correction lorsque les banques sont partagées
- Correction du déblocage du bouton lors d'une erreur lors du rapprochement auto ou la récupération des écritures

## [14.0.40] - 13-09-2024
- Correction acces à la configuration du parametrage de la clé d'activation pour la première fois

## [14.0.39] - 13-09-2024
- Correction fatal erreur

## [14.0.38] - 12-09-2024
- Correction gestion des erreurs dans le cas ou une clé est parametrée dans deux entités dont les banques sont partagés

## [14.0.37] - 11-09-2024
- Partage de la configuration de Powens entre entités si les banques sont partagés entre entités
- Bloque et modifie le texte du bouton de fermeture de la boite de dialogue lors du téléchargement des écritures ou du rapprochement automatique

## [14.0.36] - 06-09-2024
- Correction support des ordres de virements/prélèvements en v12/13

## [14.0.35] - 04-09-2024
- Correction support des ordres de virements/prélèvements en v19+

## [14.0.34] - 28-08-2024
- Eclate la vue avec une sous requete et des unions en 3 vues pour plus de compatibilité avec les configuration des serveurs de bases de données qui n'accepte plus les vues avec des sous requete, union, ...

## [14.0.33] - 26-08-2024
- Désactive l'ecran pendant le rechargement de la page lors de la fermeture de la boite de dialogue de récupération des lignes ou du rapprochement auto

## [14.0.32] - 23-08-2024
- Correction du rapprochement auto sur les cas des bordereaux de cheques, bon de prelevement (client / fournisseur)
  N'inclus plus les ecritures bancaires dolibarr et les factures, salaires qui font parties des borderaux et bon de prelevement dans les rapporochement auto
- Correction support multi-devise (filtre sur le debit/credit et auto-remplissage) dans le rapprochement manuelle des impayées

## [14.0.31] - 19-08-2024
- Correction group by dans la page des écriturées téléchargées

## [14.0.30] - 14-08-2024
- Ajout de l'indication si la dernière connection a réussi ou échoué avec son message d'erreur

## [14.0.29] - 13-08-2024
- Les vieux borderaux de cheques qui ont déjà été rapprocher dans dolibarr mais pas par banking n'apparaisse plus dans la liste des borderau non traité

## [14.0.28] - 31-07-2024
- Correction rapprochement manuel salaire methode de paiment non définie

## [14.0.27] - 29-07-2024
- Correction création extrafields avant créations des vues à l'activation du module

## [14.0.26] - 29-07-2024
- Correction création tables SQL activation du module

## [14.0.25] - 19-07-2024
- Correction support dolibarr v17+

## [14.0.24] - 19-07-2024
- Correction SQL

## [14.0.23] - 19-07-2024
- Suppression de l'encrader "Zone dangereuse" dans l'onglet abonnement de la configuration du module
- Ajout d'un bouton pour mettre à jour les vues depuis la configuration du module
- Ajout d'un parametrage dans la configuration "Prendre en compte tous les elements impayées paratagées (multi-entités) au lieu de ne prendre que les éléments impayées de l'entité actuelle"
- Ajout d'un parametrage dans la configuration "Récupère les dernières écritures téléchargées ce basant sur la date de dernière modification et non sur la date d'opération"
- Retravaille des vues pour n'avoir que les données concernées (suppression de la colonne entité de la vue _unpaid_list)

## [14.0.22] - 17-07-2024
- Correction du chargement d'un element de type 'payment_by_bank_transfer' lors de la validation du rapprochement auto
- Correction du filtre sur les montants dans un rapprochement manuel d'un "Ordre de virement bancaire" ou d'un "Ordre de prélèvement"
- Modification des requete SQL pour utilisé COALESCE au lien d'un if sql lors de test sur NULL
- Creation des vues utilisées par banking4dolibarr pour chaque entitée (ainsi les parametrages seront prit en compte en fonction des parametrages de l'entité sur lequel il est activé)

## [14.0.21] - 11-07-2024
- Correction support multi-entité
- Correction de la valeur par defaut du champ supplementaire sur la banque pour determiner si l'on doit abandonner automatiquement les écritures différées
- Ne se base plus sur le statut du bordereau de chèque pour determiné si il reste à rapproché

## [14.0.20] - 11-07-2024
- Correction de la prise en compte de l'option pour determiner si l'on doit abandonner automatiquement les écritures différées

## [14.0.19] - 05-07-2024
- Ajout d'un champ supplementaire sur la banque pour determiner si l'on doit abandonner automatiquement les écritures différées (activé par défaut)
- Accède toujours au écritures téléchargées même si la banque lié est désactivée
- Rajout d'une sécurité pour ne pas pouvoir inserer plusieurs compte distant avec le meme ID quelque soit l'entité
- Ajoute le nombre d'écritures téléchargées lié au compte distant dans la colonne "Compte bancaire" dans la liste des "Comptes bancaires liés sur powens"

## [14.0.18] - 03-07-2024
- Ajout d'une infobulle sur la date de la dernière connexion précisant qu'il s'agit de la date de la dernière connexion réussie ou pas.
- Modifs fichier Features

## [14.0.17] - 02-07-2024
- Correction compatibilité v14 (fonction Conf::setEntityValues())

## [14.0.16] - 01-07-2024
- Correction

## [14.0.15] - 27-06-2024
- Modification compatibilité dolibarr v14-

## [14.0.14] - 20-06-2024
- Modification pour supporter la nouvelle url de connexion à la webview.

## [14.0.13] - 19-06-2024
- Changement du type de champ supplémentaire "Solde banque en ligne" sur la banque en "Décimal" et plus en type "Prix".
- Affichage de la devise de la banque sur l'onglet "Écritures téléchargées"
- Groupement des banques par devise dans le widget "Balances des comptes liés ouverts"
- Le champ "Date opération" dans l'import manuelle des écritures est maintenant obligatoire
- Ajout d'une requete SQL à l'activation pour corriger un import manuel sans la date d'opération
- Auto abandonnement des écritures téléchagées différées

## [14.0.12] - 10-06-2024
- Ajout version PHP.

## [14.0.11] - 06-06-2024
- Correction du de la creation d'un virement entre banque lors d'un rapprochement manuelle vers une banque dans une autre devise

## [14.0.10] - 28-05-2024
- Correction du champ Etat dans le formulaire de la page bankrecords.php 

## [14.0.9] - 24-05-2024
- Changement de logo et page support.
- Mise en place CI

## [14.0.8] - 13-05-2024
- Correction compatibilité php 8.3

## [14.0.7] - 03-05-2024
- Correction validation des ecritures rapprochées automatiquement de base

## [14.0.6] - 25-03-2024
- Correction liaison jointure SQL avec l'entité sur c_banking4dolibarr_bank_account
- Correction lancement du process avec l'entité en paramètre pour chager l'entité concerné

## [14.0.5] - 25-03-2024
- Ajout un controle lors de l'enregistrement d'une clé d'activation pour ne l'avoir d'actif que sur une seule et unique entité

## [14.0.4] - 25-03-2024
- Fix compatibilité PHP8.1
- Suppression des vues qui se serait transformées en table lors d'un import à l'activation du modules

## [14.0.3] - 15-03-2024
- Déplacement du bouton de modification de la date de récupération des dernières écritures
- Ajout d'une option pour avoir une validation des écritures rapprochées automatiquement
- Ajout de la possibilité de rajouter une nouvelle ligne d'écriture manuellement depuis la liste des écritures téléchargées

## [14.0.2] - 08-03-2024
- Affichage et ajout de la possibilité de modifier la date de récupération des dernières écritures
- Affichage du nombre d'écritures téléchagées réellement ajoutés sur celles récupérées

## [14.0.1] - 26-02-2024
- Ajout du lien vers la documentation dans le readme

## [14.0.0] - 23-02-2024
- Changement de numérotation

## [11.1.46] - 21-02-2024
- Correction lors de la validation de prelevement lors d'une validation de rapprochement automatique qui creditais le prelevement sans le rapporcher
- Changement de l'ordre des vues (les cheques et prelevements sont en premiers) pour la construction de la vue des impayées

## [11.1.45] - 12-02-2024
- Correction problème d'arrondi sur les nombres décimaux

## [11.1.44] - 12-02-2024
- Mise à jour du tableau avec les tarifs 2024
- Correction compatibilité php8.2 lors du rapprochement manuel d'un nouveau salaire ayant détecté dans la description le nom d'un salarié présent parmi les utilisateurs.
- Compatibilité php8.x (undefined variable)
- Compatibilité php8.1 (deprecated strftime)
- Suppression code obsolète

## [11.1.43] - 02-02-2024
- Correction problème d'insertion des règlements des notes de frais à partir de Dolibarr v18

## [11.1.42] - 31-01-2024
- Correction compatibilité php8.2 lors du rapprochement manuel d'un élement impayé

## [11.1.41] - 16-01-2024
- Correction virement interne en rapprochement manuel, type de paiement en virement plutôt que prélèvement (Merci Eric (CAP-REL))
- Ajout d'une option dans l'administration pour désactiver le bouton de "Rapprochement automatique"
- Ajout d'une option en rapprochement manuel pour ne pas remplir de base les filtres avec des informations (Date, type de règlement, montant)

## [11.1.40] - 10-01-2024
- Correction jointure manquante pour l'ajout de la fonctionnalité de la version précédente

## [11.1.39] - 09-01-2024
- Correction génération de la page des éléments impayés en rapprochement manuel ($this n'est pas dans l'objet) (Merci Eric (CAP-REL))

## [11.1.38] - 02-01-2024
- Ajout d'un champ complémentaire sur la banque "Inclus le montant des rejets dans l'écriture téléchargée" pour gérer le cas ou le montant des lignes rejetées sont inclut ou non dans la ligne d'écriture téléchargée de la banque

## [11.1.37] - 15-12-2023
- (Zone dangereuse) Ajout d'une option pour forcer une date de récupération des données bancaires auprès de Powens dans les paramètres d'abonnement (Option visuelle pour la constante BANKING4DOLIBARR_REFRESH_BANK_RECORDS_ON_LAST_UPATE introduit en 7.1.17)
- En rapprochement manuel, dans les écritures bancaires, tri descendant par défaut plutôt qu'ascendant
- En rapprochement manuel, meilleure méthode de calcul des périodes lors de la création d'un virement de salaire (< 20 du mois, mois en cours ou > 1er du mois, mois précédent)

## [11.1.36] - 13-12-2023
- Correction $user->societe_id warning
- Correction int + string fatal erreur

## [11.1.35] - 13-12-2023
- Ajout de 2 nouvelles méthodes de détection du lancement du processus de tâche de fond (posix_kill et ps)

## [11.1.34] - 23-11-2023
- Correction traduction de l'action en masse pour éditer les dates sur les écritures téléchargées non rapprochées et ajustement taille popup (v11.1.30)

## [11.1.33] - 22-11-2023
- Correction de doublon de paiement lors de la validation du rapprochement automatique
- Suppression du blocage "patientez" à la validation du rapprochement automatique, la protection se retrouve sur la boite de confirmation

## [11.1.32] - 20-11-2023
- Ajout d'une protection "double-click" sur les boutons des boites de confirmation et formulaires (javascript)

## [11.1.31] - 17-11-2023
- Add supplier invoice label on manual reconciliation (by Sylvain Legrand)
- Fix Bank transfer reconciliation (by Sylvain Legrand)
- Correction compatibilité v13

## [11.1.30] - 09-11-2023
- Ajout d'une action en masse sur la liste des écritures téléchargées pour modifier les dates d'opération et de valeur des écritures téléchargées non rapprochées 

## [11.1.29] - 02-11-2023
- Evolution des messages d'erreur, le lien de renouvellement vers la webview Powens étant manquant quasiment partout suite au passage à la connexion webauth plutôt que credentials sur le domaine open-dsi

## [11.1.28] - 27-10-2023
- Ajustements - CSS
- Ajout d'informations (Version PHP) dans les demandes de support automatique
- Ajout d'un nouveau type de transaction (loan_repayment) (Email Powens du 26/10/2023)
- Branding webview Powens domaine open-dsi (Logo, couleur, chemin)

## [11.1.27] - 13-10-2023
- Complément pour la prise en charge de la nouvelle option d'affichage de la colonne de sélection à gauche disponible à partir de Easya 2024 / Dolibarr v18
- Responsive - CSS
- UX Champ date - Fusion du libellé + CSS
- Ajout d'une constante BANKING4DOLIBARR_HIDDEN_PRICE_TAB pour cacher l'onglet tarif dans la configuration du module pour les revendeurs partenaires
- Minimum version of Dolibarr move to 11.0.x
- Minimum version of Easya move to 2020 (10.0.x)

## [7.1.26] - 02-10-2023
- Affichage d'une erreur lors de la suppression d'un paiement sur une écriture bancaire téléchargée partiellement rapprochée (Fonctionne sur EasyA et Dolibarr V19+)

## [7.1.25] - 21-09-2023
- Lors d'un rapprochement manuel sur une charge sociale créditrice, le sens de l'opération n'est pas retenu.

## [7.1.24] - 13-09-2023
- Correction de la page imbriquée pour la creation d'une nouvelle facture fournisseur lors d'un rapprochement manuel

## [7.1.23] - 23-08-2023
- Prise en charge de la nouvelle option d'affichage de la colonne de sélection à gauche disponible à partir de Easya 2024 / Dolibarr v18
- Utilisation des class CSS plutôt que des balises style
- Correction des tris sur la page de rapprochement manuel des éléments impayés (Merci Scopen)
- Changement de logo Easya Solutions 2023

## [7.1.22] - 28-07-2023
- Correction des tokens manquant lors de la creation d'une nouvelle facture fournisseur depuis le rapprochement manuel

## [7.1.21] - 17-07-2023
- Correction de la récupération des écritures si un problème survient lors du traitement des écritures téléchargées
- Ajout la variable globale BANKING4DOLIBARR_PROCESS_LAST_UPDATE_DATE_FORCE pour forcer la date de debut de la mise a jour des écritures bancaires téléchargées (au format: YYYY-MM-DD)

## [7.1.20] - 13-07-2023
- Ajout des tokens manquant dans les liens / appels AJAX

## [7.1.19] - 12-07-2023
- Ajout colonne libellé dans la liste des éléments impayés sur le rapprochement manuel
- Suppression du droit d'accès à la page de support
- Correction enregistrement dernière date des écritures téléchargées

## [7.1.18] - 07-07-2023
- Filtre par défaut au statut "transmit" les ordres de prélèvements et de virements bancaires lors du rapprochement manuel
- Définit la date du crédit au soir de la date d'opération lors de l'appel de la fonction set_infocredit() lors du rapprochement un ordre de prélèvement ou de virement bancaire
- Changement de marque OpenDsi > Easya Solutions

## [7.1.17] - 21-04-2023
- Correction de la récupération des dernières écritures à partir de la dernière synchro (ajout de la globale BANKING4DOLIBARR_REFRESH_BANK_RECORDS_ON_LAST_UPATE pour filtrer sur la dernière date de mise à jour de l'écriture, attention Powens modifie toutes les écritures même les anciennes)
- Ajout de la prise en compte de paiement par virement bancaire
- Correction des filtres sur les montants debit/credit dans les rapprochements manuels

## [7.1.16] - 20-04-2023
- Correction Widget "Balances des comptes liés ouverts" afin de ne pas prendre en compte les anciens comptes connectés et désactivés

## [7.1.15] - 24-03-2023
- Ajout d'une action en masse pour récupérer une opération avec une date de suppression

## [7.1.14] - 22-03-2023
- Correction de la taille des filtres de date dans la fenêtre de rapprochement manuel des impayés

## [7.1.13] - 09-03-2023
- Mise à jour de la traduction (BudgetInsight > Powens)
- Clarification terme sur l'import CSV
- Possibilité d'envoyer une demande de support depuis l'onglet "À propos / Support" avec les informations de base qui vous sont normalement demandées.

## [7.1.12] - 02-03-2023
- Mise à jour de GuzzleHTTP

## [7.1.11] - 15-02-2023
- Correction de la prise en compte des comptes comptables dans les différents cas (liste de selection ou saisie simple) lors de la création des paiements divers depuis la liste des écritures téléchargées
- Correction de la taille des filtres de selection dans la fenêtre de rapprochement manuel des impayés
- Correction du montant payé lors du rapprochement d'un salaire impayé
- Correction du libellé et du type de paiement par défaut des lignes d'écritures téléchargées de type inconnu dans le dictionnaire
- Ajout d'une action en masse pour avoir la possibilité de changé le type d'une écriture si elle n'est pas rapprochée
- Le type de l'écriture peut aussi être modifié lors de la modification d'une ligne

## [7.1.10] - 25-01-2023
- Correction du calcul automatique des lignes sélectionnées lors d'un rapprochement manuel de lignes d'écritures bancaires

## [7.1.9] - 11-01-2023
- Ajustement langage ("Nouveau virement bancaire" > "Nouveau virement interne")
- Ajout du code 'unknown' en tant que virement bancaire dans le dictionnaire des types de paiement
- Correction import sur dolibarr v16+ mais il n'y a plus de gestion d'erreur si un problème survient (à part ceux affichés en rouge dans les notifications), donc la simulation n'est plus bloquante...
- Correction de la récupération de la plus récente date de mise a jour lors du téléchargement des écritures bancaires
- Correction de l'affichage des champs supplémentaires sur la page des écritures bancaires téléchargées

## [7.1.8] - 03-01-2023
- Correction récurrence sur le popup de demande de la date de démarrage lors du téléchargement des premières écritures bancaires

## [7.1.7] - 21-12-2022
- Correction du message de réussite du rapprochement manuel d'un nouveau virement interne
- Correction de la largeur du select du champ projet lors de la création de paiement divers depuis la liste des écritures téléchargées
- Correction du calcul du reste à ajouter lors du remplissage auto depuis un rapprochement manuel d'élément impayé

## [7.1.6] - 20-12-2022
- Correction des données des anciennes lignes importées par l'import standard dolibarr qui empêchaient le retraitement des lignes anciennement importées
- Ajout de la colonne note

## [7.1.5] - 19-12-2022
- Correction, ne créer plus de ligne de commission s'il n'y a pas de commission
- Correction, récupère le montant originel comme montant de l'écriture s'il n'a rien trouvé dans les valeurs 'value' et 'gross_value'
- Correction, accès au paramétrage des comptes s'il n'a que le droit "Accès déporté à la configuration du module dans l'espace banque" et qu'il n'a pas les droits de dictionnaires avancées, ni qu'il est administrateur
- Correction, accès au paramétrage des comptes s'il est administrateur
- Correction, Retraitement des lignes importées
- Correction, Met a 0 si aucune commission ou montant d'origine n'est précisé

## [7.1.4] - 16-12-2022
- Ajout la possibilité de modifier la commission et la devise lors de la modification d'une ligne non rapprochée
- Correction du traitement des sous lignes (commissions, ...) lors de la synchro, l'édition d'une ligne ou le retraitement des lignes
- Correction du placement de la fenêtre de rapprochement manuel
- Correction du calcul du reste à ajouter lors du remplissage auto depuis un rapprochement manuel d'élément impayé
- Corrige la taille minimale des listes à choix
- Correction de l'affichage initial de la liste des écritures téléchargées (il n'affichait pas les commissions)

## [7.1.3] - 30-11-2022
- Correction pour le support du theme Oblyon
- Si une commission existe sur une ligne, generation d'une sous ligne liée a la ligne d'origine comportant le montant de la commission
- Ajout d'une nouvelle colonne "Type de l'écriture"

## [7.1.2] - 18-11-2022
- Correction vue SQL quand le multidevise n'est pas activé

## [7.1.1] - 15-11-2022
- Correction de la modification de la ligne (prise en compte d'un prix avec "," ou "." et ne supprime plus les données importées).
- Correction de la valeur originale et de la valeur de l'écriture :
   - Si le montant 'value' est renseigné, on le prend sinon on prend le montant 'gross_value'.
   - Si le montant 'original_value' est renseigné, on le prend sinon on prend le montant 'original_gross_value'.
- Ajout d'une fonction en masse pour retraiter les données de l'écriture téléchargée

## [7.1.0] - 08-11-2022
- Correction dans l'affichage de la commission et du montant original.
- Calcul du montant de l'écriture comme suis : Si le montant 'value' est renseigné, on le prend sinon on prend le montant 'gross_value' duquel on retire le montant absolue 'commission' si l'option "Retirer la commission lors du téléchargement des écritures bancaires" sur la banque est coché
- Ajout du support du multi-devise (auto et manuelles) :
   cas gérés : - banque dans la devise de la société rapprochée avec toutes les factures quelque soit la devise
               - banque dans une autre devise que celle de la société avec toutes les factures dans la devise de la banque

## [7.0.75] - 29-09-2022
- Correction dans la création de paiements divers pour rapprochement : toutes les lignes rapprochées prenaient le libelle de la première ligne.
- Corrections mineures d'affichage

## [7.0.74] - 20-09-2022
- Restructuration de l'administration du module concernant l'abonnement
- Compatibilité PHP8.1
- Divers problèmes CRSF

## [7.0.73] - 18-08-2022
- Limitation de l'auto-complétion des montants au montant attendu pour les éléments impayés
- Gestion de cotisations sociales en crédit

## [7.0.72] - 29-07-2022
- Correction de la vérification des quotas

## [7.0.71] - 18-07-2022
- Problème de numéro de droit d'accès au menu (163099 > 163127 - Doublon avec Factory)
- Problème traduction des emails

## [7.0.70] - 20-06-2022
- Ajout des appels à l'API dans le DEBUG dolibarr.

## [7.0.69] - 15-06-2022
- Correction de la validation d'un rapprochement d'un bon de prélèvement lors du rapprochement auto.
- Correction accès à la page de validation des rapprochements auto.

## [7.0.68] - 10-06-2022
- Ajout de la possibilité de lancer, ou non, le rapprochement en tâche de fond.

## [7.0.67] - 31-05-2022
- Correction de detection du lancement des processus.
- Correction de lancement des processus avec proc_open.

## [7.0.66] - 30-05-2022
- Correction de lancement des processus avec proc_open.

## [7.0.65] - 25-05-2022
- Ajout du choix de la methode de lancement des processus (exec ou proc_open) dans les options du module.

## [7.0.64] - 08-05-2022
- Correction de la récupération des banques à mettre à jour depuis la tâche planifiée de mise à jour des écritures bancaires.
- Correction de la gestion d'erreurs lors de la récupération des écritures bancaires.
- Enlève la suppression des vues à la désactivation du module
- Ajout de la compatibilité avec Dolibarr v15

## [7.0.63] - 12-04-2022
- Correction affichage du tiers suggéré lors du rapprochement manuelle d'une creation d'une nouvelle facture fournisseur.

## [7.0.62] - 18-03-2022
- Execution du rapprochement automatique en fond de tâche avec un processus pour éviter les timeout.
- Remplacement des request SQL avec l'instruction WITH avec des vues

## [7.0.61] - 28-02-2022
- Correction code $this

## [7.0.60] - 14-02-2022
- Correction erreur SQL lors de l'utilisation du champ "delete_date"

## [7.0.59] - 20-01-2022
- Correction déploiement MYSQL8 - Erreur sur les GROUP BY des vues factures fournisseurs

## [7.0.58] - 20-10-2021
- Compatibilité avec Dolibarr v14 pour la TVA et les salaires
- Modification pour la compatibilité avec l'API de Powens (rajout de description de nouvelles erreurs et suppression du champ Contrepartie)
- La date de fin des factures clients et fournisseurs des elements impayés est maintenant la date limite de règlement
- Suppression de l'unicité

## [7.0.57] - 06-10-2021
- Ajout de l'affichage du texte des erreurs se produisant lors du rapprochement d'un bon de prélèvement en fonction du code retour des fonctions de la classe BonPrelevement.

## [7.0.56] - 05-07-2021
- Distinction du paramétrage de l'écart des dates maximales pour les éléments impayés.

## [7.0.55] - 24-06-2021
- Correction des doublons present sur l'écran de validation des écritures impayées rapprochées automatiquement.
- Ajout d'une option 'Relevé automatique' sur les comptes bancaires liés dans le paramétrage du module.

## [7.0.54] - 02-06-2021
- Correction de la création des écritures bancaires par société lors d'un rapprochement manuel de multiples factures clients / fournisseurs.
- Lors du rapprochement manuel avec un bon de prélèvement, se baser sur le montant du bon en prenant en compte les rejets.
  (pour les versions de Dolibarr inférieures à la v15, les lignes d'écritures bancaires générées par un rejet doivent être liées manuellement).

## [7.0.53] - 07-05-2021
- Correction compatibilité des dictionnaires en multi entité

## [7.0.52] - 05-05-2021
- Correction de la gestion des tokens en multi entité

## [7.0.51] - 28-04-2021
- Correction compatibilité avec la maj de l'API pour la récupération des transactions (quand il y a plus de lignes que la limite de téléchargement par requête définie)
- Permet le rapprochement des lignes différées car elles ne sont jamais mise à jour pour indiquer que la transaction est actée.
- Correction du filtre sur la colonne "Différé" de la liste des écritures téléchargées.
- Correction du rapprochement manuel pour le cas de la TVA en fonction des versions de Dolibarr.
- Correction affichage icône Doublon d'écriture avant Dolibarr v11 (Fontawesome v4)

## [7.0.50] - 27-04-2021
- Corrections mineures

## [7.0.49] - 07-04-2021
- Correction de la désactivation du rechargement auto de la page à la sélection d'un tiers lors du rapprochement manuel d'une nouvelle facture fournisseur

## [7.0.48] - 01-04-2021
- Correction de la création d'une nouvelle facture fournisseur à partir d'une écriture téléchargée (montant rapproché)
- Et propose de créer une facture suivante si le montant (celle de la nouvelle facture et des factures déjà rapprochées) est inférieure à celle de l'écriture téléchargée
- Correction de la suggestion des tiers lors du rapprochement manuel d'une nouvelle facture fournisseur (ne prend que les fournisseurs)

## [7.0.47] - 19-03-2021
- Ajout d'une option pour calculer la période par défaut sur un rapprochement manuel selon la date de règlement (Mois précédent / mois courant)
- Lors de la recherche d'un élément impayé dans un rapprochement manuel, les filtres "compte bancaire" & "Mode de règlement" sont vides par défaut pour avoir un maximum de résultat
- Corrections fichiers langue

## [7.0.46] - 15-03-2021
- Changement lien boutique Open-DSI pour les acheteurs du module sur le Dolistore

## [7.0.45] - 03-03-2021
- Correction de la validation des impayés rapprochés automatiquement pour les comptes bancaires manuels.
- Standardisation des filtres de recherches sur les dates.
- Correction du rapprochement manuel d'un nouveau règlement TVA.
- Correction de la prise en compte du type de gestion des paiements divers.
- Correction de l'import standard des écritures bancaires pour les comptes bancaires manuels.

## [7.0.44] - 23-02-2021
- Correction du rafraichissement des comptes bancaires dans le paramétrage du module quand il y a des comptes bancaires manuels et reliés à Powens.
- Correction de la prise en compte de la date de début lors du premier téléchargement des écritures bancaires. 
- Amélioration du rapprochement automatique des impayés (avec test sur les dates).
- Affichage des dates des objets rapprochés dans l'écran de validation des rapprochements automatiques.
- Changement des icônes dans la liste des écritures téléchargées

## [7.0.43] - 21-01-2021
- Permet l'ajout de compte bancaire manuellement même si la clé du module est renseigné.

## [7.0.42] - 20-01-2021
- Correction affichage icône rapprochement manuel avant Dolibarr v11 (Fontawesome v4)

## [7.0.41] - 18-01-2021
- Ajout d'un menu déporté d'accès à la gestion des comptes bancaires
- Si clé abonnement présent, l'administration renvoie vers l'onglet Compte bancaire plutôt que vers les paramètres
- Dans les actions en masse, la suppression des écritures (protégée par un droit) a été mise en dernière position
- Ajout compatibilité avec le module "Fil ariane" (Breadcrumb)

## [7.0.40] - 04-01-2021
- Correction de la détection du type "remboursement" avec un montant au crédit lors d'un rapprochement manuel de TVA.
- Correction de la prise en compte du type sur la creation en masse des paiements divers.
- Ajout de l'enregistrement d'une nouvelle charge sociale/fiscale depuis le rapprochement manuel.
- Possibilité de modifier le montant de la ligne bancaire téléchargé si la devise diffère de la banque et que la ligne n'est pas rapproché.

## [7.0.39] - 07-12-2020
- Correction du rapprochement manuel d'un paiement multiple.

## [7.0.38] - 26-11-2020
- Correction de la compatibilité avec postgresql.
- Regroupe tous les fichiers de mise à jour SQL en un seul fichier (ne sont pas systématiquement exécuté dans l'ordre ...).

## [7.0.37] - 18-11-2020
- Ajout compatibilité avec le module "Révolution Pro Thème Dolibarr"
- Tronque le nom de la banque nouvellement créée depuis la synchro des comptes bancaires depuis Powens.
- Ajoute la référence client ou fournisseur lors de la validation des rapprochements automatiques trouvés.
- Ajoute la gestion du fonctionnement sans avoir de clé d'activation.
- Ajoute la compatibilité avec postgresql.
- Creation automatique d'un bordereau lors d'un depot de cheque.
- Creation d'un règlement lié a plusieurs factures lors d'un rapprochement manuel (si créé en une fois).

## [7.0.36] - 28-10-2020
- Ajout d'icône sur les boutons
- Changement icône rapprochement manuel
- Sécurité

## [7.0.35] - 20-09-2020
- Rapprochement manuel - Écritures bancaires - Le type de paiement peut être vide
- Rapprochement manuel - Nouveau règlement salaire - Calcul des dates de période d'après la date d'opération
- Rapprochement manuel - Nouveau règlement TVA - Calcul de la date de fin de période d'après la date d'opération

## [7.0.34] - 10-09-2020
- Correction instruction group by
- Correction du changement du status lors du rapprochement des lignes de banques liés à celle téléchargée venant d'être rapprochée
- Correction du montant du paiement de la charge fiscale/sociale rapprochée
- Ajout de la ref externe dans la liste des impayés lors du rapprochement manuel
- Ajout d'un import standard de lignes de banque téléchargées

## [7.0.33] - 15-07-2020
- Correction d'un warning dans le dictionnaire des catégories

## [7.0.32] - 30-06-2020
- Correction de la récupération de l'ID de l'écriture bancaire du paiement nouvellement créée lors de la validation d'un rapprochement automatique ou manuelle d'éléments impayées (emprunts, notes de frais, charges sociales/fiscales et dons) qui sera lié à l'écriture téléchargée
- Mise à jour de l'API vers Powens (nouvelle syntaxe, code d'erreur, ...)

## [7.0.31] - 15-06-2020
- Correction de nom de variables globales
- Refonte de l'interface de paramétrage du module
- Support de la passerelle de redirection et de la langue de la webview affichée
- Prise en compte de la nouvelle génération de clé par le module partner.
- Ne sélectionne plus l'utilisateur courant si aucun employé suggéré n'est trouvé lors du rapprochement manuel d'un salaire.
- Correction du rapprochement manuel d'un règlement de TVA.

## [7.0.30] - 09-06-2020
- Gestion des lignes en doubles renvoyées par l'API avec les lignes supprimées fournit par l'API.
- Message de reconnexion sur la fenêtre de rafraîchissement lors d'une demande de renouvellement d'une authentification forte.
- Modifications traductions
- Corrections d'affichages

## [7.0.29] - 01-06-2020
- Les paramètres d'écart de dates ne servent plus au rapprochement automatique des impayés.
- Ajout de la suppression en masses des écritures téléchargées non rapprochées avec un droit associé.
- Ajout du "Compte comptable" dans le dictionnaire "Liste des catégories des écritures bancaires".
- Ajout de la création et rapprochement de paiements divers en masse depuis la liste des écritures téléchargées non rapprochées.
- Ajout de la catégorie dans le récapitulatif des écritures téléchargées lors d'un rapprochement manuel. 
- Correction du fonctionnement du rapprochement manuel des paiements divers.
- Correction du montant des charges sociales dans la vue nécessaire à la detection des impayées.

## [7.0.28] - 18-05-2020
- Mise à jour des types de champs des issues d'une table au format integer dans les dictionnaires et suppression de l'instruction CONVERT( AS INTEGER) dans les requêtes
- Les vues ne comportent que les parties des modules activées dans dolibarr pour la recherche des impayées.
- Prise en charge des avoirs et remises sur les factures fournisseurs.

## [7.0.27] - 12-05-2020
- Correction du test des modes de paiement nécessaire à l'activation du module
- Correction de la création des vues en fonction des modules activés à l'activation du module

## [7.0.26] - 07-05-2020
- Correction du rapprochement automatique des notes de frais impayées
- Correction de la détection de l'écart de dates lors du rapprochement automatique des montants identiques
- Correction de la compatibilité multi-entité lors du rapprochement automatique des montants identiques
- Correction du rapprochement manuel des "nouveaux règlements de salaires"
- Correction des alignements des cellules des tableaux

## [7.0.25] - 05-05-2020
- Ajout de require_once, par sécurité, pour les règlements des factures fournisseurs (pour assurer la génération du PDF)
- Correction css pour l'affichage du rapprochement manuel
- Le premier rafraîchissement des écritures bancaires téléchargées se base sur la date d'opération
- Ajout d'une limitation au niveau du nombre de banques liées
- Correction de la détection d'un rapprochement complet avec plusieurs lignes lors d'éléments impayés
- N'affiche que les utilisateurs actifs pour la notification par email dans la configuration

## [7.0.24] - 03-05-2020
- Correction comptabilité Dolibarr < v9 champ date formulaire Nouveau paiement salaire
- Ajout logo Open DSI HD pour Dolibarr > v12
- Widget - Montant non à la ligne
- Ajout de la création d'un paiement de tva directement depuis le rapprochement manuel
- Clé de langue manquante
- Utilisation dol_fiche_head dans l'affichage des rapprochements manuels

## [7.0.23] - 20-04-2020
- Ajout d'un paramètre 'Type d'écriture supportée' dans le module pour ne télécharger que les écritures en débit, crédit ou les deux
- Ajout d'une tâche planifiée pour mettre à jour les écritures téléchargées avec une option de notification par email.
- Correction du chargement de l'objet pour l'élément de type invoice.
- Ajout de la suggestion de l'employé lors d'un rapprochement manuel d'un nouveau salaire (sélectionné automatiquement si il n'en trouve qu'un).
- Ajout de l'écart toléré dans le passé/future séparément pour les débits et les crédits.
- Le rapprochement auto grâce à la référence se fait maintenant aussi sur la réf. client et la réf. fournisseur.
- Ajout du total des montants sélectionnés lors d'un rapprochement manuel.
- Sélection automatique du tiers suggéré s'il n'en trouve qu'un lors d'un rapprochement manuel d'une nouvelle facture fournisseur.
- Correction de l'affichage de l'écran de rapprochement manuel.
- Correction de la détection du rapprochement total du montant de l'écriture téléchargée lors d'un rapprochement manuel.
- Rajout d'une info-bulle pour le filtre des listes sur les dates.

## [7.0.22] - 17-04-2020
- Prise en charge des badges pour les statuts des lignes des écritures téléchargées (Dolibarr v10+) 
- Comptabilité Dolibarr v11
- Ajout de la création d'un paiement de salaire dans le rapprochement manuel

## [7.0.21] - 14-04-2020
- Correction de la recherche du nom du tiers (alternatif et spécifique) dans les lignes d'écritures bancaires téléchargées ayant un montant identique, dans la plage de date paramétrée, lors du rapprochement automatiques.
- Correction des lignes d'écritures bancaires téléchargées et ayant un montant identique, dans la plage de dates paramétrée, lors du rapprochement automatiques.
- Correction affichage onglet "écritures téléchargées" | Colonne actions

## [7.0.20] - 02-04-2020
- Corrections (mode étendue) sur la note d'une écriture téléchargée non rapprochée.
- Recherche du nom du tiers (alternatif et spécifique) en plus de la réf des pièces dans les lignes d'écritures bancaires téléchargées lors du rapprochement automatique.
- Ajout des rapprochements automatiques pour les prélèvements et les remises de chèques.
- Ajout d'un quota pour le nombre maximum de comptes bancaires liés.

## [7.0.19] - 25-03-2020
- Correction colonne widget
- Correction coloration des lignes téléchargées
- Correction lien boutique Open-DSI

## [7.0.18] - 23-03-2020
- Ajout d'une note sur les écritures téléchargées
- Changement de l'icône de rapprochement manuel

## [7.0.17] - 20-03-2020
- Correction langue française
- Suppression d'un droit obsolète
- Correction bug

## [7.0.16] - 11-03-2020
- Widget : Affiche la colonne 'Solde bancaire au dernier relevé'
- Correction ouverture de lien externe dans la création d'un élément dans le rapprochement manuel

## [7.0.15] - 09-03-2020
- Ajout de la création d'une facture fournisseur dans le rapprochement manuel d'une écriture téléchargée

## [7.0.14] - 06-03-2020
- Widget : N'affiche les colonnes 'Solde bancaire au dernier relevé' et 'Solde bancaire Dolibarr' que si la variable globale BANKING4DOLIBARR_WIDGET_SHOW_BALANCE est mise à 1
- Corrections de textes
- Ajout des options de paramétrage de la couleur de fond spécifique pour les mouvements débiteurs ou créditeurs dans le module.
- La colonne 'Écritures bancaires (D)' dans la liste des écritures téléchargées est cachée par défaut
- Les écritures rapprochées ventilées dans le grand livre ne peuvent pas être corrigées

## [7.0.13] - 28-02-2020
- Ajout de la possibilité de changer le numéro du relevé depuis la liste des écritures téléchargées.
- Ne peux plus modifier un rapprochement sur une écriture bancaire Dolibarr si sa banque est lié a Powens

## [7.0.12] - 26-02-2020
- Ajout du rapprochement automatique et manuelle des éléments impayés débits/crédits (charges sociales, notes de frais, emprunts)
- Amélioration du retour des erreurs sur le compte bancaire lié ou la connection lors du rafraîchissement des écritures bancaires ou des comptes bancaires

## [7.0.11] - 26-02-2020
- Ajout du retour des erreurs sur le compte bancaire lié ou la connection lors du rafraîchissement des écritures bancaires

## [7.0.10] - 24-02-2020
- Correction du support des "Catégories" renvoyées par Powens
- Correction affichage des montants crédit/débit dans les tableaux

## [7.0.9] - 17-02-2020
- Correction du blocage du rapprochement (Dolibarr) si la banque est lié a Powens
- Correction de droit lors du rapprochement manuel d'opérations diverses ou de virement bancaire
- Ajout de la compatibilité avec la nouvelle façon de gérer les paiements divers depuis la V10+ de Dolibarr
- Correction du montant de payement créé pour les factures fournisseurs lors du rapprochement manuel 
- Correction du rapprochement de multiples lignes bancaires (Dolibarr) pour une ligne téléchargée
- Correction de montant débit/crédit lors du rapprochement manuel des éléments impayés
- Ajout des colonnes "Compte bancaire" et "Mode de paiement" sur la liste des éléments impayés
- Corrections mineures

## [7.0.8] - 10-02-2020
- Remplacement champ facnumber par ref pour compatibilité avec Dolibarr v10

## [7.0.7] - 10-02-2020
- Amélioration du fonctionnement de rafraîchissement de la page lors de la fermeture d'une boite de traitement 'rapprochement manuel/automatique'
- Correction des totaux sur le widget

## [7.0.6] - 07-02-2020
- Affichage du solde du compte lié et de la date de la dernière synchro sur la fiche de la banque et l'onglet des écritures téléchargés.
- Clarification du rapprochement manuel "Virement bancaire"
- Correction du rapprochement manuel des factures fournisseurs impayées
- Ajout du support de la colorisation des lignes en fonction du débit/crédit
- Ajout d'un droit pour pouvoir modifier le rapprochement (Dolibarr) sur la fiche de l'écriture bancaire (Dolibarr)
- Ajout d'un widget d'informations sur les comptes bancaires liés
- Ajout de la date du rapprochement sur les lignes d'écritures bancaires téléchargés
- Renommage du bouton "Annuler" en "Terminer" sur l'écran de confirmation des lignes rapprochées automatiquement
- Correction de la détection du montant totalement rapprochement lors d'un rapprochement manuel de lignes comportant des montants avec une décimale
- Les filtres débit/crédit n'affiche que les lignes en débit ou en crédit
- Correction Description des paramètres du module
- Amélioration du fonctionnement de rafraîchissement de la page lors de la fermeture d'une boite de traitement 'rapprochement manuel/automatique'

## [7.0.5] - 04-02-2020
- Correction du calcul du numéro de relevé lors du rapprochement auto.

## [7.0.4] - 23-01-2020
- Correction du filtre "Type" sur la liste des écritures bancaires téléchargées.
- Ré-affichage de la case à cocher pour les lignes non rapprochées (caché seulement si ligne partiellement rapprochée avec une même écriture bancaires(Dolibarr)).
- Correction bug lors de la sélection du nombre de lignes affichées dans les listes de l'écran de rapprochement manuel).
- Correction du montant des factures fournisseurs impayées (Débit / Crédit inversé).
- Correction de l'enregistrement d'un virement ayant la même devise.
- Option dans le module d'une limite de recherche sur les dates pour les rapprochements automatiques des écritures bancaires et filtre par défaut dans le rapprochement manuel des écritures bancaires 
- Ajout de la possibilité de lier plusieurs écritures bancaires téléchargées à une même écriture bancaire Dolibarr.
- Correction des index / clés étrangères dans les tables (reliquat de version précédente)
- Ne rapproche plus automatiquement le "mode de paiement et montant identique" et "montant identique uniquement"

## [7.0.3] - 22-01-2020
- Correction du rapprochement automatique (n'inclue plus le solde des banques).
- Ajout du rapprochement manuel.

## [7.0.2] - 14-01-2020
- Fix la comparaison sans espaces des IBAN lors de la mise à jour de la liste des comptes bancaires.
- Fix la recherche sans espaces des ref des pièces dans les lignes d'écritures bancaires téléchargées lors du rapprochement automatique.
- Fix la validation manuelle des lignes rapprochées automatiquement demandant confirmation.
- Amélioration de l'écran de confirmation des lignes rapprochées automatiquement.
- Fix la date de dernière mise à jour des lignes d'écritures bancaires téléchargées.

## [7.0.1] - 13-01-2020
- Fix "include vendor/autoload.php" avec d'autres modules.

## [7.0.0] - 15-11-2019
- Version initiale.

[Non Distribué]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/compare/14.0.53...HEAD
[14.0.53]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.53
[14.0.51]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.51
[14.0.50]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.50
[14.0.49]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.49
[14.0.48]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.48
[14.0.47]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.47
[14.0.46]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.46
[14.0.45]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.45
[14.0.44]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.44
[14.0.43]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.43
[14.0.42]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.42
[14.0.41]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.41
[14.0.40]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.40
[14.0.39]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.39
[14.0.38]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.38
[14.0.37]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.37
[14.0.36]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.36
[14.0.35]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.35
[14.0.34]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.34
[14.0.33]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.33
[14.0.32]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.32
[14.0.31]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.31
[14.0.30]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.30
[14.0.29]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.29
[14.0.28]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.28
[14.0.27]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.27
[14.0.26]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.26
[14.0.25]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.25
[14.0.24]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.24
[14.0.23]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.23
[14.0.22]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.22
[14.0.21]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.21
[14.0.20]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.20
[14.0.19]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.19
[14.0.18]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.18
[14.0.17]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.17
[14.0.16]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.16
[14.0.15]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.15
[14.0.14]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.14
[14.0.13]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.13
[14.0.12]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.12
[14.0.11]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.11
[14.0.10]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.10
[14.0.9]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.9
[14.0.8]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.8
[14.0.7]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.7
[14.0.6]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.6
[14.0.5]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.5
[14.0.4]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.4
[14.0.3]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.3
[14.0.2]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.2
[14.0.1]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.1
[14.0.0]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/14.0.0
[11.1.46]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.46
[11.1.45]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.45
[11.1.44]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.44
[11.1.43]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.43
[11.1.42]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.42
[11.1.41]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.41
[11.1.40]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.40
[11.1.39]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.39
[11.1.38]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.38
[11.1.37]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.37
[11.1.36]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.36
[11.1.35]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.35
[11.1.34]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.34
[11.1.33]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.33
[11.1.32]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.32
[11.1.31]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.31
[11.1.30]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.30
[11.1.29]: https://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.29
[11.1.28]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.28
[11.1.27]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v11.1.27
[7.1.26]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.26
[7.1.25]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.25
[7.1.24]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.24
[7.1.23]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.23
[7.1.22]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.22
[7.1.21]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.21
[7.1.20]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.20
[7.1.18]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.18
[7.1.17]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.17
[7.1.16]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.16
[7.1.15]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.15
[7.1.14]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.14
[7.1.13]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.13
[7.1.12]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.12
[7.1.11]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.11
[7.1.10]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.10
[7.1.9]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.9
[7.1.8]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.8
[7.1.7]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.7
[7.1.6]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.6
[7.1.5]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.5
[7.1.4]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.4
[7.1.3]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.3
[7.1.2]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.2
[7.1.1]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.1
[7.1.0]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.1.0
[7.0.75]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.75
[7.0.74]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.74
[7.0.73]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.73
[7.0.72]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.72
[7.0.70]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.70
[7.0.69]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.69
[7.0.68]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.68
[7.0.67]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.67
[7.0.66]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.66
[7.0.65]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.65
[7.0.64]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.64
[7.0.63]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.63
[7.0.62]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.62
[7.0.61]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.61
[7.0.60]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.60
[7.0.59]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.59
[7.0.58]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.58
[7.0.57]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.57
[7.0.56]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.56
[7.0.55]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.55
[7.0.54]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.54
[7.0.53]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.53
[7.0.52]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.52
[7.0.51]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.51
[7.0.50]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.50
[7.0.49]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.49
[7.0.48]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.48
[7.0.47]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.47
[7.0.46]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.46
[7.0.45]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.45
[7.0.44]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.44
[7.0.43]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.43
[7.0.42]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.42
[7.0.41]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.41
[7.0.40]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.40
[7.0.39]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.39
[7.0.38]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.38
[7.0.37]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.37
[7.0.36]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.36
[7.0.35]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.35
[7.0.34]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.34
[7.0.33]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.33
[7.0.32]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.32
[7.0.31]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.31
[7.0.30]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.30
[7.0.29]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.29
[7.0.28]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.28
[7.0.27]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.27
[7.0.26]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.26
[7.0.25]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.25
[7.0.24]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.24
[7.0.23]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.23
[7.0.22]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.22
[7.0.21]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.21
[7.0.20]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.20
[7.0.19]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.19
[7.0.18]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.18
[7.0.17]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.17
[7.0.16]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.16
[7.0.15]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.15
[7.0.14]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.14
[7.0.13]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.13
[7.0.11]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.11
[7.0.10]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.10
[7.0.9]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.9
[7.0.8]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.8
[7.0.7]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.7
[7.0.6]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.6
[7.0.4]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.4
[7.0.3]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.3
[7.0.2]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.2
[7.0.1]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.1
[7.0.0]: http://git.open-dsi.fr/dolibarr-extension/banking4dolibarr/commits/v7.0.0
